swish-0.9.0.7: A semantic web toolkit.

Portability | H98
Stability | experimental
Maintainer | Douglas Burke
Safe Haskell | None

Swish.RDF.BuiltIn.Rules

Description

This module collects references and provides access to all of the rulesets, variable binding modifiers and variable binding filters built in to Swish.

Synopsis

- findRDFOpenVarBindingModifier :: ScopedName -> Maybe RDFOpenVarBindingModify
- rdfRulesetMap :: RDFRulesetMap
- allRulesets :: [RDFRuleset]
- allDatatypeRulesets :: [RDFRuleset]

# Documentation

findRDFOpenVarBindingModifier :: ScopedName -> Maybe RDFOpenVarBindingModify Source

Find the named open variable binding modifier.

rdfRulesetMap :: RDFRulesetMap Source

A `LookupMap` of `allRulesets`.

allRulesets :: [RDFRuleset]Source

All the rule sets known to Swish.

allDatatypeRulesets :: [RDFRuleset]Source

The data type rule sets known to Swish.